Package: org.codehaus.groovy.ast.decompiled

## [Java] Class ClassStub

- org.codehaus.groovy.ast.decompiled.ClassStub

- Authors:
    Peter Gromov

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassStub (String className, int accessModifiers, String signature, String superName, String[] interfaceNames)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassStub(String className, int accessModifiers, String signature, String superName, String[] interfaceNames)